---
title: zoomAndPan
slug: Web/SVG/Attribute/zoomAndPan
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>zoomAndPan</strong></code> attribute specifies whether the SVG document can be magnified and panned.</p>

<p>Magnification in this context means the effect of a supplemental scale and translate transformation on the outermost SVG document fragment.</p>

<p>Panning represents a translation (i.e., a shift) transformation on an SVG document fragment in response to a user interface action.</p>

<p>Two elements are using this attribute: {{SVGElement("svg")}} and {{SVGElement("view")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[1]">&lt;svg viewBox="0 0 200 200" xmlns="http://www.w3.org/2000/svg" zoomAndPan="disable"&gt;
  &lt;filter id="diffuseLighting" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feDiffuseLighting in="SourceGraphic" zoomAndPan="1"&gt;
      &lt;fePointLight x="60" y="60" z="20" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#diffuseLighting);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>disable</code> | <code>magnify</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>magnify</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "interact.html#ZoomAndPanAttribute", "zoomAndPan")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.svg.zoomAndPan")}}</p>
